/* 
    Created on : 10/11/2022, 01:59:45 PM
    Author     : JProgramacion Natacha Alvarez
*/

html body {
    color:#4E4E4E !important;
}

/*
 * Page loading styles
*/
.page-loading {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -webkit-transition: all .4s .2s ease-in-out;
    transition: all .4s .2s ease-in-out;
    background-color: #fff;
    opacity: 0;
    visibility: hidden;
    z-index: 9999;
}
.page-loading.active {
    opacity: 1;
    visibility: visible;
}
.page-loading-inner {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    text-align: center;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    -webkit-transition: opacity .2s ease-in-out;
    transition: opacity .2s ease-in-out;
    opacity: 0;
}
.page-loading.active > .page-loading-inner {
    opacity: 1;
}
.page-loading-inner > span {
    display: block;
    font-family: 'Nunito', sans-serif;
    font-size: 1rem;
    font-weight: normal;
    color: #666666;
}
.page-spinner {
    display: inline-block;
    width: 2.75rem;
    height: 2.75rem;
    margin-bottom: .75rem;
    vertical-align: text-bottom;
    border: .15em solid #E95A27;
    border-right-color: transparent;
    border-radius: 50%;
    -webkit-animation: spinner .75s linear infinite;
    animation: spinner .75s linear infinite;
}
@-webkit-keyframes spinner {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes spinner {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}


.bg-gray {
    --bs-bg-opacity: 1;
    background-color: #F7F7F7!important;
}

.line-red{
    background-image: url(../img/miscelanea/cintillo_rojo.jpg);
    background-repeat: repeat;
}

.line-blue{
    background-image: url(../img/miscelanea/cintillo_azul.jpg);
    background-repeat: repeat;
}

.text-justify{
    text-align: justify;
}

.p-enc{
    font-size: 1.17rem !important;
}


/*.nav-pills .nav-link {
    background-color: #666666;
    color: #fff;
}*/

.nav-pills .nav-link.active, .nav-pills .show>.nav-link{
    color: #fff;
    background-color: #E95A27;
}


.bg-dark-blue {
    --bs-bg-opacity: 1;
    background-color: rgba(3,24,66, var(--bs-bg-opacity)) !important;
}

.blockquote:before {
    color:#0000FF !important;
}

.btn-blue {
    color: white;
    background-color: #0000FF;
    border-color: #0000FF;
    -webkit-box-shadow: unset;
    box-shadow: unset;
}

.btn-blue.active, .btn-blue.show, .btn-blue:active, .btn-blue:focus, .btn-blue:hover{
    color: white;
    background-color: #2443FC;
    border-color: #2443FC;
}

.text-blue{
    color: #0000FF !important;
}

.btn-gradient {
    background: linear-gradient(90deg, #F84E2D, #2443FC); /* Degradado azul */
    border: none; /* Opcional para eliminar el borde */
    color: white; /* Color del texto */
}

.btn-gradient:hover {
    background: linear-gradient(90deg, #F84E2D, #0000FF); /* Degradado para hover */
}

.custom-line-height {
    line-height: 1.2;
}

.navbar-light .navbar-nav .nav-link:focus, .navbar-light .navbar-nav .nav-link:hover {
    color: #0000FF !important;
}

@media (min-width: 992px) {
    .navbar-expand-lg .navbar-nav .nav-item.active>.nav-link:not(.disabled) {
        color: #0000FF;
    }
}

.card-img-overlay {
    /*    background-color: rgba(0, 0, 255, 0.6) !important;*/
    background-color: rgba(36, 67, 252, 0.5) !important;
}

.card-curved-body .card-body:before {
    display: block;
    position: absolute;
    top: -20px;
    left: -15%;
    width: 130%;
    height: 90px;
    border-radius: 50%;
    background-color: #0000FF;
    z-index: -1;
    content: "";
}